Kapitel 4. Betrieb
Zurück | 4.21 hdparm | Weiter

## 4.21 hdparm

Mit dem Programm `hdparm` lassen sich Festplattenparameter auslesen und verändern.

Die Syntax zu diesem Befehl lautet:

    hdparm - get/set hard disk parameters - version v5.2

    Usage:  hdparm  [options] [device] ..

    Options:
    -a   get/set fs readahead
    -A   set drive read-lookahead flag (0/1)
    -b   get/set bus state (0 == off, 1 == on, 2 == tristate)
    -B   set Advanced Power Management setting (1-255)
    -c   get/set IDE 32-bit IO setting
    -C   check IDE power mode status
    -d   get/set using_dma flag
    -D   enable/disable drive defect-mgmt
    -E   set cd-rom drive speed
    -f   flush buffer cache for device on exit
    -g   display drive geometry
    -h   display terse usage information
    -i   display drive identification
    -I   detailed/current information directly from drive
    -Istdin  similar to -I, but wants /proc/ide/*/hd?/identify as input
    -k   get/set keep_settings_over_reset flag (0/1)
    -K   set drive keep_features_over_reset flag (0/1)
    -L   set drive doorlock (0/1) (removable harddisks only)
    -M   get/set acoustic management (0-254, 128: quiet, 254: fast)
                    (EXPERIMENTAL)
    -m   get/set multiple sector count
    -n   get/set ignore-write-errors flag (0/1)
    -p   set PIO mode on IDE interface chipset (0,1,2,3,4,...)
    -P   set drive prefetch count
    -q   change next setting quietly
    -Q   get/set DMA tagged-queuing depth (if supported)
    -r   get/set readonly flag (DANGEROUS to set)
    -R   register an IDE interface (DANGEROUS)
    -S   set standby (spindown) timeout
    -t   perform device read timings
    -T   perform cache read timings
    -u   get/set unmaskirq flag (0/1)
    -U   un-register an IDE interface (DANGEROUS)
    -v   defaults; same as -mcudkrag for IDE drives
    -V   display program version and exit immediately
    -w   perform device reset (DANGEROUS)
    -W   set drive write-caching flag (0/1) (DANGEROUS)
    -x   tristate device for hotswap (0/1) (DANGEROUS)
    -X   set IDE xfer mode (DANGEROUS)
    -y   put IDE drive in standby mode
    -Y   put IDE drive to sleep
    -Z   disable Seagate auto-powersaving mode
    -z   re-read partition table

`hdparm` ist ein Kommandozeilenprogramm, mit dessen Hilfe verschiedene Festplattenparameter im Linux-Kernel verändert werden können. Dieses Programm benötigt mindestens einen Kernel ab der Version 1.2.13; dies sollte aber auf einem aktuellen Debian-System kein Problem sein.

### 4.21.1 Optionen

Wenn keine weiteren Optionen angegeben werden, so werden bei einem IDE-Gerät automatisch die Optionen `-acdgkmnru` und bei einem SCSI-Gerät die Optionen `-gr` benutzt.

Im Einzelnen bewirken die Optionen Folgendes:

- `-A` Schaltet die „read-lookahead“-Funktion einer IDE-Festplatte ein oder aus. Normalerweise ist diese Funktion bereits aktiviert.

- `-c` Zeigt den Status oder aktiviert den (E)IDE-32-Bit-I/O-Support. Die Parameter hier für sind: `0`, um den Support zu deaktivieren, und `1`, um den Support zu aktivieren. Der Wert `3` aktiviert den 32-Bit-Support mit einer speziellen Sync-Sequenz, die von einigen Chipsets benötigt wird. Diese Option funktioniert mit fast allen Chipsets, bringt jedoch etwas mehr Overhead mit sich. Wird kein Parameter angegeben, so wird die aktuelle Einstellung angezeigt.

- `-C` Zeigt den aktuellen „Power-Mode-Status“ einer IDE-Festplatte an. Dieser kann folgende Werte annehmen: „unknown“ - Das Laufwerk unterstützt dieses Kommando nicht; „active“/„ idle“ - Normalbetrieb; „standby“ - Low Power Modus, die Festplatte dreht sich nicht oder „schläft“ sogar komplett. Die Optionen `-S`, `-y`, `-Y` und `-Z` können zur Veränderung der IDE-Power-Modes verwendet werden.

- `-d` Zeigt, ob für das genannte Gerät der DMA-Modus benutzt wird, oder aktiviert/deaktiviert den Modus. Das Flag „ using_dma“ funktioniert nur mit wenigen Kombinationen aus Festplatte und Controllern. Beispielsweise wird beim Intel Triton Chipset der Bus-Master-DMA-Modus in Verbindung mit vielen Festplatten unterstützt. Wenn möglich sollte die Option `-X34` zusammen mit `-d1` benutzt werden, um sicherzustellen, dass das Laufwerk selbst den Multiword DMA Modus 2 unterstützt.

- `-f` Synchronisieren und Speichern des Cache-Puffers der Festplatte beim Beenden des Programms. Dieser Vorgang wird auch bei den Optionen `-t` und `-T` durchgeführt.

- `-g` Zeigt die Festplattengeometrie, also Angaben zu Zylinder, Köpfe, (Sektoren), die Größe (in Sektoren) des Laufwerkes und den Offset (in Sektoren) des Devices vom Anfang der Festplatte.

- `-h` Zeigt die Hilfe-Informationen.

- `-i` Zeigt die Daten zur Identifikation der Festplatte, die beim Booten ausgelesen wurden, falls diese verfügbar sind. Diese Funktion wird nur von neueren Festplatten unterstützt. Die Informationen können veraltet sein, wenn das System seit dem Start viel beschäftigt war.

- `-I` Zeigt die aktuelle Identifikation der Festplatte an. Wie die Option `-i`; die Informationen werden allerdings neu ausgelesen.

- `-k` Liest oder setzt das Flag `keep_settings_over_reset` für das Laufwerk. Wenn diese Option gesetzt ist, werden die Optionen `-dmu` über einen (Soft-) Reset hinaus gespeichert.

- `-K` Setzt das Flag `keep_features_over_reset`. Das Setzen dieser Option rettet die Einstellungen `-APSWXZ` über einen (Soft-) Reset hinaus. Diese Option wird nicht von allen Laufwerken unterstützt.

- `-m` Zeigt den aktuellen Zustand oder setzt den IDE-Block-Modus. Ein Wert von `0` deaktiviert diese Funktion.

- `-p` Versucht, das IDE-Interface-Chipset auf den gewünschten PIO-Modus zu setzen, oder versucht, den bestmöglichen PIO-Modus einzustellen.

- `-q` Diese Option unterdrückt die Ausgabe von Meldungen für die folgenden Optionen. Dies kann eingesetzt werden, wenn `hdparm` aus einer Datei beim Systemstart heraus aufgerufen wird. Diese Option hat keine Auswirkungen auf die Optionen `-i`, `-v`, `-t` oder `-T`.

- `-r` Liest oder setzt das „Read-Only-Flag“.

- `-S` Setzt die Standby-Zeit des Gerätes. Nach der eingestellten Zeit in Sekunden fährt die Festplatte in den Ruhezustand. Ein Wert von `0` schaltet diese Funktion aus.

- `-T` Führt einen Benchmark mit Lesezugriffen auf den Cache durch. Um sinnvolle Ergebnisse zu bekommen, sollte ein Test zwei- bis dreimal auf einem System mit möglichst wenig anderen laufenden Prozessen durchgeführt werden.

- `-t` Führt einen Benchmark mit Lesezugriffen auf das Gerät durch. Um sinnvolle Ergebnisse zu bekommen, sollte ein Test zwei- bis dreimal auf einem System mit möglichst wenig anderen Prozessen durchgeführt werden.

- `-u` Liest oder setzt das „interrupt-unmask“-Flag. Dies kann auf vielen Systemen die Reaktionszeit des Systems verbessern, ist aber mit Vorsicht einzusetzen, da nicht alle Chipsets diese Funktion richtig umsetzen können. Ein Wert von `1` aktiviert diese Funktion.

- `-v` Zeigt die aktuellen Einstellungen an, mit Ausnahme von `-i`. Wenn keinerlei Optionen auf der Kommandozeile angegeben werden, wird ebenfalls `-v` angenommen. Bei einem SCSI-Gerät entspricht dies den Optionen `-gr`, bei einem IDE-Gerät den Optionen `-acdgkmnru`.

- `-W` Aktiviert oder deaktiviert bei einem IDE-Laufwerk die Funktion `write-caching` Dies ist Standardmäßig deaktiviert.

- `-X` Setzt den IDE-Übertragungsmodus bei neueren (E)IDE/ATA2-Laufwerken. Diese Option wird meistens zusammen mit `-d1` benutzt, um den DMA-Modus von/zu einem Laufwerk mit Chipsets, die dies unterstützen (beispielsweise Intel 430FX Triton), zu aktivieren. Dort können dann auch mit `-X34` „ Multiword-DMA-mode2“-Übertragungen aktiviert werden. Die Option `-X66` aktiviert UltraDMA-Mode2-Übertragungen.

- `-y` Aktiviert sofort den Energiesparmodus bei einem IDE-Laufwerk.

- `-Y` Aktiviert sofort den Energiesparmodus mit dem geringsten Stromverbrauch bei einem IDE-Laufwerk.

- `-Z` Deaktiviert die Stromsparfunktionen bei einigen Seagate-Laufwerken, die diese Funktion nur fehlerhaft implementiert haben.

### 4.21.2 Einbinden von `hdparm`

`hdparm` wird über das Init-Skript `/etc/init.d/hdparm` bei jedem Systemstart aktiviert. Anpassungen der Parameter werden in der Datei `/etc/hdparm.conf` vorgenommen.

Zurück | Nach oben | Weiter
4.20 Dateisysteme | Zum Anfang | 4.22 Internationalisierung und Lokalisierung

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).